%define name	tovid
%define version	0.34
%define release %mkrel 1

%define title ToVid
%define longtitle Video disc creator

Name: 	 	%{name}
Summary: 	Video disc authoring tools
Version: 	%{version}
Release: 	%{release}

Source:		http://tovid.googlecode.com/files/%{name}-%{version}.tar.gz
URL:		http://tovid.sourceforge.net/
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	imagemagick
BuildRequires:	python
BuildRequires:	txt2tags
BuildRequires:	desktop-file-utils
Requires:	python
Requires:	wxPythonGTK
Requires:	mplayer mencoder
Requires:	mjpegtools
Requires:	imagemagick
Requires:	ffmpeg
Requires:	dvdauthor
Requires:	vcdimager
Requires:	dvd+rw-tools
Requires:	cdrdao
Requires:	tix
# for todiscgui, bug #31895
Requires:	tkinter
BuildArch:	noarch
Provides:	%{name}-gui

%description
Tovid is a collection of video disc authoring tools; it can help you create
your own DVDs, VCDs, and SVCDs for playback on your home DVD player.

Note: Some features will be unavailable unless you also install the
      transcode package, available elsewhere.

%prep
%setup -q

%build
./setup.py build

%install
rm -rf %{buildroot}
./setup.py install --prefix=%{_prefix} --root=%{buildroot}

rm -f %{buildroot}%{_libdir}/%{name}/.install.log

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{py_puresitedir}/libtovid
%{py_puresitedir}/%{name}-%{version}-py*.egg-info
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/titleset-wizard.png


%changelog
* Tue Aug 23 2011 Andrey Bondrov <abondrov@mandriva.org> 0.34-1mdv2012.0
+ Revision: 696314
- New version: 0.34

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.31-7mdv2011.0
+ Revision: 592362
- rebuild for python 2.7

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.31-6mdv2010.0
+ Revision: 445546
- rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.31-5mdv2009.1
+ Revision: 319982
- rebuild with new python
- drop wx 2.6 dependency
- add frames.patch: fix layout of tovidgui with wx 2.8
- add wx28.patch: allow wx 2.8 as well as 2.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.31-4mdv2009.0
+ Revision: 261632
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.31-3mdv2009.0
+ Revision: 254694
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org> 0.31-1mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 0.31-1mdv2008.0
+ Revision: 80647
- clean file list
- drop X-Mandriva menu category
- no need to fix names of fd.o icons, fixed upstream
- drop legacy icons
- drop fix for installation locations (merged upstream)
- drop all patches (merged or superseded upstream)
- use Fedora license policy
- new release 0.31

* Fri Jul 13 2007 Adam Williamson <awilliamson@mandriva.org> 0.30-4mdv2008.0
+ Revision: 51886
- requires tkinter (fixes #31895)

* Sat Jun 02 2007 Adam Williamson <awilliamson@mandriva.org> 0.30-3mdv2008.0
+ Revision: 34482
- require cdrdao (bug #31156)

* Sat Jun 02 2007 Adam Williamson <awilliamson@mandriva.org> 0.30-2mdv2008.0
+ Revision: 34468
- correct build on x86-64 buildhost
- add two upstream patches to fix various issues
- remove old menu
- new release 0.30


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.28-2mdv2007.0
+ Revision: 91322
- Rebuild
- import tovid-0.28-1mdv2007.0

* Thu Jul 20 2006 Jerome Martin <jmartin@mandriva.org> 0.28-1mdv2007.0
- 0.28
- xdg menu

* Sat Jun 17 2006 Austin Acton <austin@mandriva.org> 0.27-1mdv2007.0
- 0.27
- make transcode dependency optional
- gui now bundled in main tarball
- update description

* Sat Nov 19 2005 Austin Acton <austin@zarb.org> 0.23-1plf
- 0.23
- add man pages

* Sun Oct 30 2005 Austin Acton <austin@zarb.org> 0.22-1plf
- 0.22

* Sun Aug 28 2005 Austin Acton <austin@zarb.org> 0.20-1plf
- initial package

